<!doctype html public "-//w3c//dtd html 4.0 transitional//en"> 

<html>

<head>

   <meta name="Author" content="Bartolomeo Civalleri">

   <title>CRYSTAL Tutorial Project - Nudged Elastic Band (NEB) calculations with CRYSTAL</title>
   <style>
 body {font-family: Arial, Helvetica, Verdana; font-size: 16px;
      color:#000000; background:#FFFFFF;}
 hr { size: 2; color: #335085; }
 h2 {font: bold italic 120%; color:#335085}
 h3 {font: bold 100%; color:#008080}
 .format {margin: 0px 0px; text-align: justify;}
 .tit {font-size: 18px; font-weight: bold; color:#FFFFCC; margin: 5px;}
 .exe {font-size: 18px; color:#008080}
 pre {font-family: Courier New, Courier; font-size: 14px}
   </style>
</head>

<body>

<CENTER>
<font face="Arial,Helvetica"><H2>
<B><span lang="en-gb">The Nudged Elastic Band (NEB) Method</span>&nbsp;</B></H2>
<BR><font size="5"><I>C.L Bailey</I>
</font></CENTER>

<div class="format">
<p>

<hr WIDTH="100%">

<ul>

<li>
<font face="Arial,Helvetica"><a href="#overview">Overview and goals</a></font></li>
<li>
<font face="Arial,Helvetica"><a href="#geopin">NEB optimisation features</a></font></li>
<li>

<ul>
<li>
<font face="Arial,Helvetica"><a href="#exam1">Example: H2 + H --> H + H2 </a></font></li>
<li>
</ul>

<font face="Arial,Helvetica"><a href="#geopkey">Summary of <b>CRYSTAL</b> Neb
optimisation keywords</a></font></li>
<li>

<font face="Arial,Helvetica"><a href="#ref">References</a></font></li>
</ul>

<p>

<hr WIDTH="100%">

<p>
<a NAME="overview"></a>

<table border="0" cellpadding=2 width="100%" bgcolor="#335085" >
<tr>
<td class="tit">Overview and goals</td>
</tr>
</table>

<p>
<font face="Arial,Helvetica">

The nudged elastic band (NEB) method is used for finding the transition state
of a reaction or a diffusion event. The NEB method initially takes a guess at
the configuration of several states (refered 
 to as images)  that occur as the reaction proceeds.  These states can often be
obtained from linear interpolation between the initial and final states. The
NEB algorithm then converges these images onto the 
minimum energy path (MEP). <br>
The energy of each of the images is calculated, along with the forces which
are acting on each of the atoms in the images.  A fictional spring interaction
between adjacent images is assumed, this ensures continuity of the path and equal
spacings of the images along the path, mimicking an elastic band.
The tangent of the path at each image is estimated. The overall force acting
on the images is taken as the perpendicular component of the true force and the parallel
component of the spring force.  The images are then moved in the direction of
this force.
The key feature of this method is the use of the force projections.  The spring forces control
the spacing between the images, while the true forces control the convergence to the MEP.
This  ensures that  the spring forces do not interfere with the
convergence to the MEP.


<br><br><br>
<b>Climbing Image NEB</b>
<br><br>
To enable the transition geometry and energy to be accurately obtained from the NEB
method, once the images have converged sufficiently to the MEP the image at
the highest energy point is allowed to climb uphill along the MEP until it
reaches the transtion state. This is achieved by modifying the calculation of
the force acting on the image with the highest energy. The spring force acting
on this image is neglected and instead the parallel component of the force is
set to the inverse of the true parallel force.
<br><br><br>

<b>Spring Models</b>
<br><br>
The spring constants can also be allowed to vary between the different images to
allow greater definition of the path close to the transtion state.
There are two spring models implemented in the algorithm.  The first maintains
equal distances between the images along the MEP, while the second produces a
greater density of images where the energy is highest. Details of these models
can be found elsewhere[ref].
<br><br><br>using a velocity Verlet algorithm
<b>String Models</b>
<br><br>
Previous studies have shown that the rate of convergence to an MEP can be
very sensitive to the chosen values of the spring constants [ref].
A recent modification to the NEB method has eliminated this external
force  and replaced it by
a cubic spline method.  A cubic spline, <i>f(t)</i> is generated from the
images along the transition pathway, where <i>t</i> is a continuous variable ranging
from <i>0</i> to <i>n+1</i> such
that  <i>f(i)= <b>r</b><sub>i</sub></i> for
image <i>i</i>. The images are then moved 
along the spline such that they are equally spaced.  The positioning of the
images along the spline path could be applied at every optimisation path, however
it has been shown that it is more efficient to apply the procedure only when the
images become significantly distorted.

<br><br><br>
<b>Velocity Verlet Algorithm</b>
<br><br>
The images are moved using a velocity verlet algorithm.
<br><i>
r( t + &#916t) = r( t ) + v( t ) &#916t + 0.5 a( t ) &#916t<sup>2</sup>
<br>
v(t + 0.5 &#916t) = v( t ) + 0.5 a( t )&#916t 
<br>
v( t + &#916t) = v( t + 0.5 &#916t) + 0.5 a( t + &#916t) &#916t
</i>
<br>
where a( t ) = -m f( t )<sup>-1</sup>
<br>
To obtain a minimisation using this method, it is necessary to remove the
kinetic energy, this is achieved by keeping only the velocity component which is
parallel to the force at the current step.  
<br><br><br>
<b>Limited Memory BFGS Algorithm</b>
<br><br>
A Limited memroy BFGS method can also be used (instead of the velocity
Verlet algorithm to converge the images to the MEP.  This method is usually
more efficient than the velocity
Verlet algorithm, however it can be less stable.  In general it is usually
best to try and use this method but if it fails to converge the pathway then
the user should revert to the velocity
Verlet algorithm.
<br><br>


<br>&nbsp;

<p>
<a NAME="geopin"></a>

<table border="0" cellpadding=2 width="100%" bgcolor="#335085" >
<tr>

<td class="tit">NEB optimisation features</td>
</tr>
</table>

<p>
<font face="Arial,Helvetica"> The NEB algorithm can be used in 0, 1, 2,
     and 3-dimensions.  The algorithm optimised the MEP with repsect to the
     atomic coordinated.  It is currently not possible to optimse the MEP with
     respect to the cell parameters.
<br>



<p>
<font face="Arial,Helvetica">
The keyword <b>NEB</b> opens the NEB optimisation input.
The keyword must be inserted in the geometry input section (block 1) as&nbsp;the <b> last</b> keyword of the
section. The second geometry required by NEB is written at the end of the
inout deck.  If an external keyword is used for the last geometry it is
read in from fort.35<br>

<p>&nbsp;<br>
<font face="Arial,Helvetica"><b>NEB optimisation type</b>

<p>
<ul>
<li>By default, the reaction pathway is represented by three images.
To use a different number of images the keyword <b>NIMAGES</b> must be
  specified followed on the next line with the number of images to be used.</li>

<li>By default the images are optimised to the minimum energy pathway using a
  DMD algorithm, alternatively the LBFGS algorithm can be used by
  specifying the keyword <b>LBFGS</b>. This method of optimisation is often
  more efficient than the DMD method, although it is sometimes not as stable
  as the DMD method.</li>

<li>By default the images are get separated from each other through the use of
  'springs', alternatively, a string method can be used by specifying the
  keyword <b>STRING</b>. This method uses a cubic spline interpolation method to
  keep the images evenly spaced.</li>
<li>By default the image that has the highest energy is allowed to climb to
  the highest point along the MEP after 10 iterations.  To change this use
  the word <b>CLIMB</b> followed by the number of iterations after which you
  want the image to begin climbing.</li>
  <li> There are only the basic options, a complete list of keywords can be
  found in the <i><a href="inputs/neb.pdf">neb manual.</a>&nbsp; </i>
</li>
</ul>
</font>

&nbsp;<p>
<a NAME="exam"></a><font face="Arial,Helvetica">
<table border="0" cellpadding=2 width="100%" bgcolor="#335085" >
<tr>
<td class="tit">Examples and exercises</td>

</tr>
</table>

<B>H2 + H --> H + H2</B>
</I>
</div>
<br>
NEB calculations can also be set up and run using DLV.
<br><br>
To do this models of the initial and final structure are required.  You
			      can either try creating these from scratch or by
			      reading in h2+h.str and h+h2.str in the neb.zip
			      file.
<br><br>
With the initial structure loaded click on Calculate-CRYSTAL-SCF Calculation -
			      CI-NEB Transition State.
<br><br>
The NEB panel will then appear.  To define the NEB parts of the calculation
			      click on <B>NEB</B>.  A second panel will appear
			      from which you can define the NEB parameters. Before the
			      Cal caution can run it is necessary to select the
			      final structure.  To do this click on <B>Select
			      Final Structure.</B> A panel will pop up with a
			      list of all dlv models that you have loaded that
			      are compatible with your initial
			      structure. Click on the correct (if there is more
			      than one option) structure and click
			      on <B>ok</b>.
<br><br>
The final structure opens in a new window and the atoms of both the initial
			      and final structures are labelled.  These labels
			      define the mapping of the atoms from one
			      structure to the other.  In more complex
			      calculations it may not be obvious which atom
			      corresponds to which in both structures, (or
			      indeed different pathways may want to be
			      considered in which different atoms map onto one
			      another.  To redefine the mapping of the atoms
			      between the initial and final structures an atom
			      (of the same type) from both structures can be
			      selected and the <B>Create New Mapping</B>
			      button pressed.  This then redefines the mapping
			      of the atoms. 
<br><br>
For more complex reaction a linear interpolation between images may not be
			      sufficient for the initial guess of a transition
			      state (in some cases this may result in images
			      in which atoms are on top of one another).
			      Within the DLV interface it is possible tovirew
			      the images and if necessary edit them.  To do
			      this first select <B>Create Images</b> (ignore
			      the Recover jobs panel that pops up).  You can
			      now use the slider to select one of your images
			      and press <B>View Image</B> to view it.  If you
			      which to edit this image you can then
			      select <B>Edit Image</B> and a move atom panel
			      appears -  you can then move the atoms in this
			      image using this panel.  Once you are happy with
			      the images representing your first estimate of
			      the MEP and the relevant NEB options ahev been
			      selected you can click on <B></B> to close the
			      panel.  

<br><br>
The only thing left to do now is to select a UHF calculation and to specify a
			      spinlock on one on the calculation.  Thai can be
			      achieved through the <B>Hamiltonian</b>
			      and <B>SCf Convegence</B> panels.

You are now ready to run the NEB calculation - select <B>RUN</B>.  The job
			      panel will appear - wait until the job is
			      specified as complete, you then need to select
			      it and press <B>Recover</B>.
<br><br>
The transition structure appears in the structure window.  It is also
			      possible to animate the MEP.  To do this, go to
			      the <B>Display Data</B> window select.  In the
			      top cannel (<B>Data Objects</B>  select MD
			      trajectory and press <B>Display</B>.
			      The <B>Animate Trajectory</B> window appear,
			      you can now use this to view the trajectory of
			      the MEP.
<br><br>
<hr WIDTH="100%">
This example has explained a lot of the features of the NEB method
      using the very simple reaction H2+H --> H + H2.
	In the following sections are some examples 
	of larger calcaultions that you can try 
	setting up either manually and/or using DLV.
	To fully converge these examples will take a
	significant amount of time so you may
	prefer just to run them for a few cycles
	rather than to completion.

 
<font face="Arial,Helvetica">
<br>&nbsp;
<p>

<hr WIDTH="100%">

<a name="ref"></a>

<h2>References</h2>

<p>



<font face="Arial,Helvetica">
C.L. Bailey, A. Wander, B.G. Searle and N.M. Harrison, DL Technical Report 003 (2005)
<br>"Implementation of nudged elastic band in CRYSTAL"
<br>
available <a href="http://epubs.cclrc.ac.uk/work-details?w=40462" target="new">
here</a>
<br>&nbsp;

</FONT>

</div>


</BODY>

</HTML>
